Subject: bug#51146: 29.0.50; file-notify-add-watch not reporting changes of files

From: Michael Albinus <[email-masked]>
Date: Wed, 13 Oct 2021 09:45:23 +0200

Carlos Pita <[email-masked]> writes:

> That was about kqueue, but in macOS there is the FSEvents monitor:
>
>    The FSEvents monitor, available only on Apple macOS, has no known
>    limitations and scales very well with the number of files being
>    observed. In fact, I observed no performance degradation when testing
>    fswatch observing changes on a filesystem of 500 GB over long periods
>    of time. This is the default monitor on Apple macOS.
>
> So this seems to be an option, either directly or through fswatch.

Of course. I wrote the Emacs kqueue support on top of FreeBSD. Likely, I
won't write something macOS specific, since I have no respective
machine, and I'm not interested in. Somebody else must do the job, if
required.

(And I will analyze your bug report in detail next days, as time permits).

Best regards, Michael.